Summary: Tools needed to create Texinfo format documentation files.
Name: texinfo
Version: 4.0
Release: 1
Group: Applications/Publishing
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/texinfo/texinfo-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
Texinfo is a documentation system that can produce both online information
and printed output from a single source file.  Normally, you'd have to
write two separate documents: one for online help or other online
information and the other for a typeset manual or other printed work.
Using Texinfo, you only need to write one source document.  Then when the
work needs revision, you only have to revise one source document.  The GNU
Project uses the Texinfo file format for most of its documentation.

Install texinfo if you want a documentation system for producing both
online and print documentation from the same source file and/or if you are
going to write documentation for the GNU Project.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr --disable-nls
make 

# Remake info files with --no-split
rm -f doc/*info{,-[0-9],-[0-9][0-9]}
make -C doc MAKEINFO="../makeinfo/makeinfo --no-split"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/info}
make install-strip prefix=$RPM_BUILD_ROOT/usr
gzip -9f $RPM_BUILD_ROOT/usr/info/*info*

# Red Hat changed and hard-code this wierd path
mv $RPM_BUILD_ROOT/usr/bin/install-info $RPM_BUILD_ROOT/sbin


%post
/sbin/install-info /usr/info/texinfo.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/texinfo.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL INTRODUCTION NEWS README TODO
%doc info/README
/sbin/install-info
/usr/bin/*
%config(noreplace) /usr/info/dir
/usr/info/*info*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

